Dev GuideRecipesAPI ReferenceChangelog
Dev GuideAPI ReferenceChangelogUser GuideDev CommunityOptimizely AcademySubmit a ticketLog In
API Reference

GET /assets

Get the list of assets. Assets are sorted by modified_at in descending order. To get assets that are not inside any folder, pass include_subfolder_assets=false in the query param.

Query Params
type
array of strings
Defaults to article,image,video,raw_file,structured_content

Asset type to filter by. Example: type=image&type=video

type
label
array of objects

Label to filter by. Must be passed as urlencoded string. Labels that do not exist are ignored. If none of the provided labels exist, filtering is not applied. Example – label=%7B%22group%22%3A%22ee63e3ee43925bb5cc8cd17b817d93ee%22%2C%22values%22%3A%5B%226706efc7828cd6aaedbc0434139cd3e1%22%2C%221f32651216cf2aefcaa08be1ea7dedf1%22%5D%7D

label
fields
array of objects

List of fields to filter by. Must be passed as base64 encoded string. Fields that do not exist are ignored. If none of the provided fields exist, filtering is not applied. Example – fields=Wwp7CiJpZCI6ICI2N2E4NDZhMWM3NzU1YTFwNThpNjh5MzVhIiwKInZhbHVlcyI6IFsiNjdhODQ2YTFjNzc1YWU1YWExYTE0YTA1Il0KfQpd=

fields
date-time

Date and time as the lower limit to filter assets by created_at, in ISO 8601 UTC format

date-time

Date and time as the upper limit to filter assets by created_at, in ISO 8601 UTC format

date-time

Date and time as the lower limit to filter assets by modified_at, in ISO 8601 UTC format

date-time

Date and time as the upper limit to filter assets by modified_at, in ISO 8601 UTC format

string

ID of the library folder to include assets from

boolean
Defaults to true

Indicates whether assets from subfolders need to be included

string

Search assets by title or content description

string

ID of the campaign to include assets from

integer
≥ 0
Defaults to 0

Starting index of results (zero indexed)

integer
1 to 100
Defaults to 10

Number of results to return per page

Responses

Language
Credentials
OAuth2
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json